import java.util.Scanner;

public class Main {

    public static void main(String[] args){
        Scanner in = new Scanner(System.in);
        String s = in.nextLine();
        String s1 = in.nextLine();
        String temp="";
        if(s.length()>s1.length()){
            temp+= s.substring(0,s.length()-s1.length());
            s=s.substring(s.length()-s1.length());
        }
        else if(s1.length()>s.length()){
            temp+= s1.substring(0,s1.length()-s.length());
            s1=s1.substring(s1.length()-s.length());
        }
        for (int i = 0; i < s.length(); i++) {
            if(s.charAt(i)>s1.charAt(i)) temp+=s.charAt(i);
            else if(s1.charAt(i)>s.charAt(i)) temp+=s1.charAt(i);
            else {temp+=s.charAt(i);temp+=s.charAt(i);}
        }
        System.out.println(temp);
    }
}